## SYNOPSIS

           ln [OPTION]... TARGET [LINK_NAME]
           ln [OPTION]... TARGET... DIRECTORY
           ln [OPTION]... --target-directory=DIRECTORY TARGET...

## DESCRIPTION

           Create  a  link  to  the  specified  TARGET  with optional
           LINK_NAME.  If LINK_NAME is omitted, a link with the  same
           basename  as  the  TARGET is created in the current direc
           tory.  When using the second form with more than one  TAR
           GET,  the last argument must be a directory;  create links
           in  DIRECTORY  to  each  TARGET.   Create  hard  links  by
           default,  symbolic  links  with --symbolic.  When creating
           hard links, each TARGET must exist.

           Mandatory arguments to  long  options  are  mandatory  for
           short options too.

           --backup[=CONTROL]
                  make a backup of each existing destination file

           -b     like --backup but does not accept an argument

           -d, -F, --directory
                  hard link directories (super-user only)

           -f, --force
                  remove existing destination files

           -n, --no-dereference
                  treat  destination that is a symlink to a directory
                  as if it were a normal file

           -i, --interactive
                  prompt whether to remove destinations

           -s, --symbolic
                  make symbolic links instead of hard links

           -S, --suffix=SUFFIX
                  override the usual backup suffix

           --target-directory=DIRECTORY
                  specify the DIRECTORY in which to create the links

           -v, --verbose
                  print name of each file before linking

           --help display this help and exit

           --version
                  output version information and exit
                  wise

           simple, never
                  always make simple backups

## AUTHOR

           Written by Mike Parker and David MacKenzie.

## REPORTING BUGS

           Report bugs to <bug-coreutils@gnu.org>.

## COPYRIGHT

           Copyright © 2003 Free Software Foundation, Inc.
           This is free software; see the source for  copying  condi
           tions.  There is NO warranty; not even for MERCHANTABILITY
           or FITNESS FOR A PARTICULAR PURPOSE.

## SEE ALSO

           The full documentation for ln is maintained as  a  Texinfo
           manual.    If  the  info  and  ln  programs  are  properly
           installed at your site, the command

                  info ln

           should give you access to the complete manual.

    ln (coreutils) 4.5.8      February 2003                     LN(1)